package cn.iocoder.yudao.module.mes.service.zjschema;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.mes.controller.admin.zjschema.vo.*;
import cn.iocoder.yudao.module.mes.dal.dataobject.zjitem.ZjItemDO;
import cn.iocoder.yudao.module.mes.dal.dataobject.zjschema.ZjSchemaDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 检验方案 Service 接口
 *
 * @author 内蒙必硕
 */
public interface ZjSchemaService {

    /**
     * 创建检验方案
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createZjSchema(@Valid ZjSchemaSaveReqVO createReqVO);

    /**
     * 更新检验方案
     *
     * @param updateReqVO 更新信息
     */
    void updateZjSchema(@Valid ZjSchemaSaveReqVO updateReqVO);

    /**
     * 删除检验方案
     *
     * @param id 编号
     */
    void deleteZjSchema(Long id);

    /**
     * 获得检验方案
     *
     * @param id 编号
     * @return 检验方案
     */
    ZjSchemaDO getZjSchema(Long id);

    /**
     * 获得检验方案分页
     *
     * @param pageReqVO 分页查询
     * @return 检验方案分页
     */
    PageResult<ZjSchemaDO> getZjSchemaPage(ZjSchemaPageReqVO pageReqVO);

    List<ZjSchemaDO> getZjSchemaList();

}